/**************************************************************
*   Copyright: TWIinteractive                                 *
*	Author: Laurent Muchacho                                  *
***************************************************************/
if(bw.ns){
	scrX= innerWidth; scrY= innerHeight;
	onresize= function(){if(scrX!= innerWidth || scrY!= innerHeight){history.go(0)} }
}
function createObjCss(divId,nest){var obj = (bw.ns&&nest)? document.layers[nest].document.layers[divId]:(bw.ns)?d.layers[divId]:(bw.ie4)?d.all[divId]:(bw.ie5Plus||bw.ns6)?d.getElementById(divId):false;return obj;}
function createObjStyle(divId,nest){var obj = (bw.ns&&nest)? document.layers[nest].document.layers[divId]:(bw.ns)?d.layers[divId]:(bw.ie4)?d.all[divId].style:(bw.ie5Plus||bw.ns6)?d.getElementById(divId).style:false;return obj;}
function createImgObj(imgId,nest){var obj = (bw.ns && nest)? d.layers[nest].document.images[imgId] : d.images[imgId];return obj;}

function xLeft_pos (obj){var xLeft = (bw.ns)? obj.left : obj.offsetLeft;return xLeft;}
function yTop_pos (obj){var yTop = (bw.ns)? obj.pageY : obj.offsetTop;return yTop;}
function get_Height (obj){var iHeight = (bw.ns)? obj.clip.height : obj.offsetHeight;return iHeight;}
function get_Width (obj){var iWidth = (bw.ns)? obj.clip.width : obj.offsetWidth;return iWidth;}

function writeInObj(objN,nest,sTxt){
var obj=(bw.ns)? createObjCss(objN,nest) : createObjCss(objN);
	if (bw.ns){	obj.document.open();obj.document.write(sTxt);obj.document.close();}
	else{obj=createObjCss(objN);obj.innerHTML = sTxt;}
}


function flipImg(imgName,nest){
var obj = createImgObj(imgName,nest)
var imgSrc = obj.src
var iN = imgSrc.split('/')
var iName = iN[iN.length-1].split('.')
	if (iName[0].indexOf("_sel")==-1){
		var imgOn = (iName[0].indexOf("_on") > -1)? true : false;
		var state = imgSrc.replace('.gif','_on.gif')
			if (imgOn){
			state = imgSrc.replace('_on.gif','.gif')
			}		
		obj.src = state
		return true
	}
}

function swapImage(img_name,img_path,img_div_nest_name){
this.img_o = createImgObj(img_name,img_div_nest_name);
this.img_o.src = img_path;
}

function img(na,src,wi,he,bo,al){
this.na=na;this.sNa=(na!='')?'name="'+na+'"':'';this.src=src;this.sSrc='src="'+src+'.gif"';this.wi='width="'+wi+'"';this.he='height="'+he+'"';this.bo=(bo==-1)?'':'border="'+bo+'"';this.al=(al!='')?'alt="'+al+'"':'';
this.str='<img '+this.sNa+' '+this.sSrc+' '+this.wi+' '+this.he+' '+this.bo+' '+this.al+'>';
return this.str;
}


function b_refer(){parent.history.back ();}
